<html>
    <head>
        <style>
        div {
            width: 100px;
            height: 100px;
            background-color: red;
            animation-name: example;
            animation-duration: 4s;
            animation-delay: 2s;
            animation-iteration-count: infinite;
            animation-timing-function: linear;
            position: relative;


        }

        @keyframes example {
    
            0%   {background-color: red; left: 0px; top: 0px;}
            25%  {background-color: yellow; left: 200px; top:0px;}
            50%  {background-color: blue; left:200px; top:200px; }
            75% {background-color: green; left:0px; top:200px;}
            100% {background-color: red; left: 0px; top:0px;}
        } 
        </style>
        <body>
            <div></div>
        </body>
    </head>
</html>